#%% Import:
import secrets


#%% Vygenerování tokenu:
secrets.token_bytes(16)


#%% Token hexadecimálně:
secrets.token_hex(16)


#%% Bezpečné porovnání:
user_input = '23eeeb4347bdd26bfc6b7ee9a3b755dd'
expected = '6e8efbe3a442748b716644025479aab5'

print(f'user_input == expected? {secrets.compare_digest(user_input, expected)}')
